Package com.independentsoft.office.spreadsheet.styles

# Class TableStyle

java.lang.Object
com.independentsoft.office.spreadsheet.styles.TableStyle

public class TableStyle extends Object
The Class TableStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableStyle()`
  Instantiates a new table style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableStyle`
  `clone()`
  `List<TableStyleElement>`
  `getElements()`
  Gets the elements.
  `String`
  `getName()`
  Gets the name.
  `boolean`
  `isPivot()`
  Checks if is pivot.
  `boolean`
  `isTable()`
  Checks if is table.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPivot​(boolean pivot)`
  Sets the pivot.
  `void`
  `setTable​(boolean table)`
  Sets the table.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableStyle

    public TableStyle()
    Instantiates a new table style.

- ## Method Details

  - ### clone

    public TableStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getElements

    public List<TableStyleElement> getElements()
    Gets the elements.
    Returns:
      the elements

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isPivot

    public boolean isPivot()
    Checks if is pivot.
    Returns:
      true, if is pivot

  - ### setPivot

    public void setPivot​(boolean pivot)
    Sets the pivot.
    Parameters:
      `pivot` - the new pivot

  - ### isTable

    public boolean isTable()
    Checks if is table.
    Returns:
      true, if is table

  - ### setTable

    public void setTable​(boolean table)
    Sets the table.
    Parameters:
      `table` - the new table